
## Developing FPGA Projects

Developing FPGA projects for FPGAOL is very same as usual. You only need to take care of selecting chip and pin specification.

If you are not familiar with developing FPGA project on Vivado, please refer to Vivado tutorial.

We strongly recommend you to use our example projects and constraint file.

### select FPGA chip

Please select **xc7a100tcsg324-1**. Other chips won't work on FPGAOL.

![board](img/board.png)

### Human Interface Pin specification

#### leds & segplay

| LED0 | LED1 | LED2 | LED3 | LED4 | LED5 | LED6 | LED7 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- |----|
| seg_a | seg_b | seg_c | seg_d | seg_e | seg_f | seg_g | dot |
| C17  | D18  | E18  | G17  | D17  | E17  | F18  | G18  |

### switches

| SW0 | SW1 | SW2 | SW3 | SW4 | SW5 | SW6 | SW7 |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- |----|
| D14  | F16  | G16  | H14  | E16  | F13  | G13  | H16  |

#### hexplay

| d0   | d1   | d2   | d3   | an0  | an1  |
| ---- | ---- | ---- | ---- | ---- | ---- |
| A14  | A13  | A16  | A15  | B17  | B16  |

#### soft_clock & button

| soft_clk | btn  |
| -------- | ---- |
| B18      | A18  |

### Other Resource on Board

* 100MHz clock: E3

You can also use an existing constraint file.